.ServerInformation
{
	position: relative;
	height: 40px;
	background-color: rgb(40, 40, 40);
}
.ServerInformation img
{
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
}
.ServerInformationContainer
{
	position: relative;
	height: 40px;
	display: flex;
	flex-direction: row;
	align-items: center;
	box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);

	/* Prevent text selection while dragging */
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.ServerIpStatus, .ServerActiveUsers
{
	height: 100%;
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	line-height: 100%;
}

.ServerIpStatus p
{
	margin: 0;
	margin-left: 20px;
	height: 100%;

	display: flex;
	justify-content: center;
	align-items: center;

	color: white;
	font-size: 20px;
	font-weight: 600;
	text-shadow: 2px 2px 20px #000000;
}

.ServerIpStatus a
{
	margin: 0;
	margin-left: 70px;
	height: 100%;

	display: flex;
	justify-content: center;
	align-items: center;

	text-decoration: none;
	font-family: poppins;
	color: black;
	font-size: 17px;
	font-weight: bold;

	transition: color 0.1s ease-in;
}

.ServerActiveUsers
{
	margin-left: 90px;
	color: white;
	font-size: 1rem;
	text-shadow: 2px 2px 15px #000000;
}

.ServerActiveUsers p
{
	margin-left: 0.5rem;
	text-shadow: 2px 2px 10px #000000;
}

.ActiveUsersContainer
{
	position: absolute;
	width: 100%;
	height: 40px;
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	align-items: center;
}
.ActiveUsersContainer p
{
	position: absolute;
	transform: translateX(100%);
	margin: 0;
	font-family: poppins;
	font-weight: normal;
	font-size: 1rem;
	color: rgb(150, 150, 150);
}

@media (hover: hover)
{
	.ServerIpStatus a:hover
	{
		color: white;
	}
}

@media screen and (max-width: 800px)
{
	.ServerInformation
	{
		height: 80px;
		border-bottom: 2px solid rgb(80, 80, 80);
	}
	.ServerInformation img
	{
		display: none;
	}

	.ServerIpStatus
	{
		width: calc(100% - 7rem);
	}
	.ServerIpStatus p
	{
		margin: 0;
		min-width: 8rem;
		background-color: rgb(0, 255, 0);
		box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);
	}
	.ServerIpStatus a
	{
		margin: 0;
		width: 100%;
		background-color: rgb(180, 180, 180);
		box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);
	}
	.ServerActiveUsers
	{
		margin: 0;
		min-width: 6rem;
		box-sizing: border-box;
		border-left: 7px solid red;
		background-color: rgb(100, 100, 100);
		box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);
	}

	.ActiveUsersContainer
	{
		top: 50%;
		box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);
	}
}

@media screen and (max-width: 600px)
{
	.ServerInformation
	{
		border: none;
	}
	.ServerIpStatus
	{
		width: 100%;
	}
	.ServerIpStatus p
	{
		min-width: 6rem;
	}
	.ServerActiveUsers
	{
		border-left: none;
		border-right: 7px solid red;
		min-width: 6rem;
		position: absolute;
		top: 100%;
		left: 0;
	}
}